io.undertow.websockets.core

## Interface WebSocketChannel.PartialFrame

All Superinterfaces:
  FrameHeaderData

All Known Subinterfaces:
  WebSocketFrame

Enclosing class:
  WebSocketChannel

    public static interface WebSocketChannel.PartialFrame
    extends FrameHeaderData

Interface that represents a frame channel that is in the process of being created

### Method Summary

All Methods Instance Methods Abstract Methods
`StreamSourceFrameChannel` `getChannel(PooledByteBuffer data)`
`void` `handle(ByteBuffer data)` Handles the data, any remaining data will be pushed back
`boolean` `isDone()`

### Methods inherited from interface io.undertow.server.protocol.framed.FrameHeaderData

`getExistingChannel, getFrameLength`

### Method Detail

#### getChannel

    StreamSourceFrameChannel getChannel(PooledByteBuffer data)

Returns:
  The channel, or null if the channel is not available yet

#### handle

    void handle(ByteBuffer data)
         throws WebSocketException

Handles the data, any remaining data will be pushed back

Throws:
  `WebSocketException`

#### isDone

    boolean isDone()

Returns:
  true if the channel is available